## plymouth 0.9.3

=== debian/changelog ===
plymouth (0.9.3-3pureos1) landing; urgency=medium

  * Merge changes from Debian.
    - This is part of the fix required to fix PureOS:T433.

 -- Chris Lamb <chris.lamb@puri.sm>  Wed, 16 May 2018 22:39:32 +0200

plymouth (0.9.3-3) unstable; urgency=medium

  * debian/local/plymouth.hook: Call fc-cache when generating the initramfs,
    this will create the fc cache and .uuid files and should mitigate bug
    #897572
  * debian/control: Update VCS-* fields to point to the salsa machine

 -- Laurent Bigonville <bigon@debian.org>  Mon, 14 May 2018 11:25:26 +0200

plymouth (0.9.3-2pureos1) landing; urgency=medium

  * Re-upload to PureOS after merging 0.9.3-2; the previous upload of
    0.9.3-1pureos1 did not hit the archive due to #898511.
    (Closes: PureOS:T429)

 -- Chris Lamb <chris.lamb@puri.sm>  Sun, 13 May 2018 08:49:57 +0100

plymouth (0.9.3-2) unstable; urgency=medium

  * Import upstream patches coming from the master branch:
    - Remove d/p/0002-stderr.patch, replaced by
      d/p/0002-scripts-Use-2-instead-of-dev-stderr.patch
    - d/p/0006-x11-don-t-call-gdk_display_get_name-before-gtk_init.patch:
      Fixes a crash when the x11 renderer is installed (Closes: #878115)
  * debian/control: Drop obsolete dh-systemd build-dependency and bump
    debhelper minimal version
  * debian/control: Bump Standards-Version to 4.1.3 (no further changes)
  * debian/watch: Use https:// URL
  * Add apport hook, taken from Ubuntu and adjusted to support the fact that
    we are not using alternatives to select the default theme

 -- Laurent Bigonville <bigon@debian.org>  Fri, 19 Jan 2018 11:31:55 +0100

plymouth (0.9.3-1pureos1) landing; urgency=medium

  * Fork for PureOS.
  * Cherry-pick patch from
    <https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1705345> to
    prevent hanging when installing packages. (Closes: PureOS:T429)

 -- Chris Lamb <chris.lamb@puri.sm>  Sat, 12 May 2018 22:41:04 +0100

plymouth (0.9.3-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/watch: Bump to version 4 and use the macro's
  * New upstream version 0.9.3
  * debian/libplymouth4.symbols: Adjust the symbols file
  * Refresh the patches and drop the one merged upstream

  [ Scott Moser ]
  * debian/local/plymouth.hook: add only a single copy of nss libs in
    initramfs.  (Closes: #874502)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 19 Sep 2017 15:09:29 +0200

plymouth (0.9.2-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Split labels.so plugin into its own package so debian themes can stop
    requiring the whole plymouth-themes package

  [ Laurent Bigonville ]
  * Run wrap-and-sort
  * debian/gbp.conf: Rename git-buildpackage to buildpackage
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 09 Aug 2017 15:20:48 +0200

plymouth (0.9.2-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/plymouth.postrm: Remove /var/lib/plymouth/boot-duration on purge
    (Closes: #815222)

  [ Sjoerd Simons ]
  * plymouth.hook: Always install drm modules

  [ Laurent Bigonville ]
  * debian/control: Update the Vcs-* fields and switch to https to please
    lintian
  * Drop -dbg package and rely on the automatically built -dbgsym ones
  * debian/control: Depends against lsb-base to please lintian
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * Drop debian/patches/0007-udev-seat-tag.patch and ensure seat tag is
    properly applied instead
  * Fix/workaround red and black artefacts caused by compiler issues on i386
    (Closes: #801080)
  * Do not hardcode to the update-initramfs executable anymore

 -- Laurent Bigonville <bigon@debian.org>  Sun, 18 Dec 2016 11:50:34 +0100
