## plymouth 0.9.3%2Bmint2

=== debian/changelog ===
plymouth (0.9.3+mint2) tessa; urgency=medium

  * Text-plugin: Fix centering title which length isn't an even number

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Nov 2018 11:45:15 +0000

plymouth (0.9.3+mint1) tessa; urgency=medium

  * Center title

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Nov 2018 09:49:25 +0000

plymouth (0.9.3-1ubuntu7.18.04.1) bionic; urgency=medium

  * debian/patches/git_ensure_tty_closed_0a662723.patch: ensure tty is closed
    on deactivate. (LP: #1767918) 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 11 Sep 2018 19:03:58 -0400

plymouth (0.9.3-1ubuntu7) bionic; urgency=medium

  * debian/patches/misc-changes.patch: Drop call to stop_animation as it would
    unreference a bunch of variables and may cause a crash writing a NULL VMA.
    (LP: #1745406)

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Apr 2018 17:07:36 -0700

plymouth (0.9.3-1ubuntu6) bionic; urgency=medium

  * Drop references to dejavu fonts in the initramfs hook; our themes only
    ever use the Ubuntu font, and any other themes that want a different
    font should handle this themselves.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Apr 2018 11:19:15 -0700

plymouth (0.9.3-1ubuntu5) bionic; urgency=medium

  * Move the Ubuntu font, dejavu font, fontconfig dependencies to
    plymouth-label package, such that any "graphical" theme based on
    plymouth label has the right fonts, e.g. the src:lubuntu-artwork
    themes. LP: #1592405

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 01 Apr 2018 23:28:23 +0100

plymouth (0.9.3-1ubuntu4) bionic; urgency=medium

  * debian/patches/timeout-for-ping.ptach: Don't wait forever for a reply from
    a ping command. (LP: #1705345)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Mar 2018 07:41:54 -0700

plymouth (0.9.3-1ubuntu3) bionic; urgency=medium

  * Make the Ubuntu font the default sans-serif & mono fonts. LP: #1592405
  * Adjust title of ubuntu-text theme.
  * In the ubuntu-logo theme fallback to sans-serif font, if Ubuntu font
    is not available.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 25 Mar 2018 22:00:14 +0100

plymouth (0.9.3-1ubuntu2) bionic; urgency=medium

  * Make the lsb-release triggers interest-noawait, so that we don't block
    configuration of an Essential: yes package during upgrades.
    LP: #1750465.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Mar 2018 23:15:58 -0700

plymouth (0.9.3-1ubuntu1) bionic; urgency=medium

  * Merged from debian unstable (second time ever…) Remaining changes:
    - include ubuntu theme logos:
      themes/ubuntu-logo/*, debian/source/include-binaries.
    - debian/libplymouth4.apport: add Apport hook.
    - Ship ubuntu-logo instead of debian-logo (debian/rules and
      debian/local/plymouth.hook).
    - Ship debian/source_plymouth.apport apport hook (debian/rules).
    - Add plymouth-label as a separate package and makes themes depending on
      it (debian/control, debian/plymouth-label.install,
      debian/plymouth-themes.install).
    - As log-viewer is disabled by default upstream and now in debian, don't
      ship its man page (debian/plymouth.links).
    - Ship plymouth-theme-ubuntu-logo and plymouth-theme-ubuntu-text specific
      themes (debian/plymouth-theme-ubuntu-* and debian/control) and add
      Recommends on it | plymouth-theme to accommodate flavors.
    - Remove debian/patches/0003-default-theme.patch as we handle our defaults
      via alternatives. (and refresh debian/patches/0008-show-delay.patch)
    - debian/patches/misc-changes.patch: old undocumented inline changes.
      export a new symbol added in debian/libplymouth4.symbols.
    - debian/patches/avoid-sigpipe.patch:
      Use first a socket connection before fallbacking to regular write()
    - debian:patches/details-short-prompt.patch: When we display bullets in the
      ubuntu details theme, shorten the prompt.
    - debian/patches/details-remove-separator.patch: Removed explicit printing
      of ':'.
    - debian/patches/details-update-status.patch: Implement update status (U)
      splash plugin function for details plugin, imply display those updates
      as text messages.
    - debian/patches/initramfsless-boot.patch: support intramfsless boot.
    - debian/patches/fix-split-writes.patch: fix split writes for long server
      responses.
    - debian/patches/ubuntu-add-splash-option.patch: add "splash" option as a
      condition to trigger plymouth.
    - debian/rules:
      - disable optimization is noopt found in $DEB_BUILD_OPTION
      - enable -Werror
      - use ubuntu-themes background color
    - debian/local/<initramfs scripts>: export OPTION=FRAMEBUFFER for user's
      command line argument explicitly disabling framebuffer.
    - We use alternatives instead of plymouth-set-default-theme tool:
      + debian/plymouth-themes.{prerm,postinst}: ensure we select one default
       plymouth logo and text themes through alternatives even when we remove
       ubuntu-base ones.
      + debian/rules, debian/plymouth.{install,links), don't ship non
        non alternative-based theme policy files and tools.
      + update plymouth.README.Debian to tell to use update-alternative
        instead of set-default-theme
      + change debian/local/plymouth.hook to use update-alternative to get
        default theme instead of set-default-theme. Also, don't copy
        deleted files to initramfs.
    - Add Breaks: against older themes versions as they are shipping in /lib
      instead of /usr/share.
    - ubuntu old changelog containing debian-like packaging version has been
      copied to debian/changelog.ubuntu.old in the source package.
    - Remove dependency on initramfs-tools | dracut.
    - debian/plymouth-theme-ubuntu-text.postinst: Only remove the leftover
      generated files when upgrading, not when triggered.
    - debian/local/plymouth.init-premount: Don't start plymouth if "splash" is

