## plymouth 0.9.3+mint2

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: plymouth
 Section: misc
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 9.20160709~),
+Uploaders: Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 9.20160114~),
                dh-autoreconf,
+               dh-systemd,
                docbook-xsl,
                libdrm-dev,
                libgtk-3-dev (>= 3.14.0),
@@ -14,16 +16,15 @@
                pkg-config,
                systemd,
                xsltproc
-Standards-Version: 4.1.3
+Standards-Version: 4.0.0
 Homepage: http://www.freedesktop.org/wiki/Software/Plymouth
-Vcs-Git: https://code.puri.sm/pureos/plymouth.git
-Vcs-Browser: https://code.puri.sm/pureos/plymouth
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/plymouth.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/plymouth.git/
 
 Package: plymouth
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: init-system-helpers (>= 1.18),
-         initramfs-tools | dracut,
          lsb-base (>= 3.0-6),
          systemd (>= 232-8~),
          udev (>= 232-8~),
@@ -33,6 +34,7 @@
 Breaks: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Suggests: desktop-base, plymouth-themes
+Recommends: plymouth-theme-ubuntu-text | plymouth-theme
 Description: boot animation, logger and I/O multiplexer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
  use for which is to provide an attractive graphical animation in place of
@@ -46,7 +48,7 @@
 Package: plymouth-x11
 Architecture: linux-any
 Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: plymouth-themes
+Recommends: plymouth-theme-ubuntu-logo | plymouth-theme
 Suggests: gdm
 Description: boot animation, logger and I/O multiplexer - X11 renderer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
@@ -89,7 +91,9 @@
 
 Package: plymouth-label
 Architecture: linux-any
-Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+         fonts-ubuntu,
+         fontconfig-config,
 Breaks: plymouth-themes (<< 0.9.2-5~)
 Replaces: plymouth-themes (<< 0.9.2-5~)
 Description: boot animation, logger and I/O multiplexer - label control
@@ -105,10 +109,7 @@
 
 Package: plymouth-themes
 Architecture: linux-any
-Depends: fontconfig,
-         fontconfig-config,
-         fonts-dejavu-core | ttf-dejavu-core,
-         plymouth (= ${binary:Version}),
+Depends: plymouth (= ${binary:Version}),
          plymouth-label (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -135,7 +136,7 @@
           plymouth-themes-solar,
           plymouth-themes-spinfinity,
           plymouth-themes-spinner
-Breaks: libfontconfig1 (<< 2.13.0-5~), plymouth-drm (<< 0.9.0-6~)
+Breaks: plymouth-drm (<< 0.9.0-6~)
 Description: boot animation, logger and I/O multiplexer - themes
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
  use for which is to provide an attractive graphical animation in place of
@@ -154,3 +155,40 @@
   * spinfinity: features a centered logo and animated spinner that spins in the
     shape of an infinity sign.
   * spinner: features a simple theme with a small spinner on a dark background.
+
+Package: plymouth-theme-ubuntu-logo
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ plymouth-label (= ${binary:Version}),
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - ubuntu theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the default ubuntu-logo theme.
+
+Package: plymouth-theme-ubuntu-text
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ lsb-release,
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - ubuntu text theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the default ubuntu-text text theme used when no
+ support for a graphical theme is found on your system.
