=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Breaks: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Replaces: plymouth-drm (<< 0.9.0-6~), plymouth-themes (<< 0.9.0-8~)
 Suggests: desktop-base, plymouth-themes
-Recommends: plymouth-theme-ubuntu-text | plymouth-theme
+Recommends: plymouth-theme-trisquel-text | plymouth-theme
 Description: boot animation, logger and I/O multiplexer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
  use for which is to provide an attractive graphical animation in place of
@@ -48,7 +48,7 @@
 Package: plymouth-x11
 Architecture: linux-any
 Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: plymouth-theme-ubuntu-logo | plymouth-theme
+Recommends: plymouth-theme-trisquel-logo | plymouth-theme
 Suggests: gdm
 Description: boot animation, logger and I/O multiplexer - X11 renderer
  Plymouth provides a boot-time I/O multiplexing framework - the most obvious
@@ -92,7 +92,7 @@
 Package: plymouth-label
 Architecture: linux-any
 Depends: plymouth (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
-         fonts-ubuntu,
+         fonts-freefont-ttf,
          fontconfig-config,
 Breaks: plymouth-themes (<< 0.9.2-5~)
 Replaces: plymouth-themes (<< 0.9.2-5~)
@@ -115,7 +115,7 @@
          ${shlibs:Depends}
 Conflicts: plymouth-themes-all,
            plymouth-themes-fade-in,
-           plymouth-themes-glow,
+           plymouth-themes-sugar,
            plymouth-themes-script,
            plymouth-themes-solar,
            plymouth-themes-spinfinity,
@@ -123,7 +123,7 @@
 Replaces: plymouth-drm (<< 0.9.0-6~),
           plymouth-themes-all,
           plymouth-themes-fade-in,
-          plymouth-themes-glow,
+          plymouth-themes-sugar,
           plymouth-themes-script,
           plymouth-themes-solar,
           plymouth-themes-spinfinity,
@@ -131,7 +131,7 @@
 Provides: plymouth-theme,
           plymouth-themes-all,
           plymouth-themes-fade-in,
-          plymouth-themes-glow,
+          plymouth-themes-sugar,
           plymouth-themes-script,
           plymouth-themes-solar,
           plymouth-themes-spinfinity,
@@ -149,14 +149,14 @@
  .
   * fade-in: features a centered logo that fades in and out while stars twinkle
     around the logo during system boot up.
-  * glow: features a pie chart as progress indicator.
+  * sugar: features a pie chart as progress indicator.
   * script: features a simple base theme.
   * solar: features a blue flamed sun with animated solar flares.
   * spinfinity: features a centered logo and animated spinner that spins in the
     shape of an infinity sign.
   * spinner: features a simple theme with a small spinner on a dark background.
 
-Package: plymouth-theme-ubuntu-logo
+Package: plymouth-theme-trisquel-logo
 Architecture: linux-any
 Depends:
  ${misc:Depends},
@@ -172,9 +172,9 @@
  boot systems Plymouth can also usefully handle user interaction such as
  password prompts for encrypted file systems.
  .
- This package contains the default ubuntu-logo theme.
-
-Package: plymouth-theme-ubuntu-text
+ This package contains the default trisquel-logo theme.
+
+Package: plymouth-theme-trisquel-text
 Architecture: linux-any
 Depends:
  ${misc:Depends},
@@ -190,5 +190,23 @@
  boot systems Plymouth can also usefully handle user interaction such as
  password prompts for encrypted file systems.
  .
- This package contains the default ubuntu-text text theme used when no
+ This package contains the default trisquel-text text theme used when no
  support for a graphical theme is found on your system.
+
+Package: plymouth-theme-sugar
+Architecture: linux-any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plymouth (= ${binary:Version}),
+ plymouth-label (= ${binary:Version}),
+Provides: plymouth-theme,
+Description: boot animation, logger and I/O multiplexer - sugar theme
+ Plymouth provides a boot-time I/O multiplexing framework - the most obvious
+ use for which is to provide an attractive graphical animation in place of
+ the text messages that normally get shown during boot. (The messages are
+ instead redirected to a logfile for later viewing.) However, in event-driven
+ boot systems Plymouth can also usefully handle user interaction such as
+ password prompts for encrypted file systems.
+ .
+ This package contains the sugar theme.
