=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,18 @@
 
 # Ensure at build time that the library has no dependencies on undefined
 # symbols, and speed up loading.
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed
+
+# Build with -Werror
+DEB_CFLAGS_MAINT_APPEND  := -Werror -Wno-error=unused-result \
+       -Wno-error=sign-compare
+
+# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	DEB_LDFLAGS_MAINT_APPEND += -Wl,-O0
+else
+	DEB_LDFLAGS_MAINT_APPEND += -Wl,-O1
+endif
 
 %:
 	dh ${@} --parallel --with autoreconf,systemd
@@ -27,8 +38,10 @@
 		--enable-static \
 		--enable-tracing \
 		--disable-gdm-transition \
-		--with-background-color=0x005a8a \
-		--with-logo=/usr/share/plymouth/debian-logo.png \
+		--with-background-color=0x000000 \
+		--with-background-start-color-stop=0x000000 \
+		--with-background-end-color-stop=0x000000 \
+		--with-logo=/usr/share/plymouth/trisquel-logo.png \
 		--with-release-file=/etc/os-release \
 		--with-system-root-install \
 		--without-rhgb-compat-link
@@ -53,6 +66,12 @@
 	mv debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 
+	# remove non alternative-based theme policy files and tools
+	rm -f debian/tmp/etc/plymouth/plymouthd.conf
+	rm -f debian/tmp/usr/share/plymouth/plymouthd.defaults
+	rm -f debian/tmp/usr/sbin/plymouth-set-default-theme
+	rm -f debian/tmp/usr/share/man/man1/plymouth-set-default-theme.1
+
 	dh_install --fail-missing
 
 	# Adding initramfs-tools integration
@@ -63,11 +82,11 @@
 	install -D -m 0755 debian/local/plymouth.panic debian/plymouth/usr/share/initramfs-tools/scripts/panic/plymouth
 
 	# Adding other debian specific files
-	install -D -m 0644 debian/local/debian-logo.png debian/plymouth/usr/share/plymouth/debian-logo.png
+	install -D -m 0644 themes/trisquel-logo/trisquel-logo.png debian/plymouth/usr/share/plymouth/trisquel-logo.png
 	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/plymouth-update-initrd
 	install -D -m 0644 debian/local/plymouth.lsb debian/plymouth/lib/lsb/init-functions.d/99-plymouth
 
-	# Adding apport file (from Ubuntu)
+	# Adding ubuntu specific files
 	mkdir -p debian/plymouth/usr/share/apport/package-hooks
 	install -m 644 debian/source_plymouth.apport debian/plymouth/usr/share/apport/package-hooks/source_plymouth.py
