## plymouth 0.9.4

=== debian/changelog ===
plymouth (0.9.4-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/plymouth.links: Drop the manpage symlink plymouth-log-viewer.8, the
    executable is not installed anymore (Closes: #922320)
  * debian/rules: Stop passing start and stop actions for update-rc.d to
    dh_installinit. update-rc.d is not supporting that for quite some time
  * debian/plymouth.postinst: Remove old cleanup code needed for early 0.9.0
    uploads
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Bump debhelper compatibility to 12, switch from dh_systemd_start to
    dh_installsystemd
  * debian/rules: Disable call to dh_installinitramfs, let's manage that
    ourself but update the maintainer scripts to mimic what it's doing.
  * debian/rules: Drop dh_strip override, plymouth-dbg is gone for at least
    one release and we don't need the migration bits to the -dbgsym package
  * Move everything from / to /usr now that the later is mounted at early
    boot, add compatibility symlinks for the executable in case the system is
    not migrated to usr-merge.
  * debian/control: Add Rules-Requires-Root: no
  * Move some executables to /usr/libexec now that's allowed in the policy
  * debian/rules: Rely on dh_autoreconf to update config.guess and config.sub
  * Drop debian/patches/0004-return-code.patch, this doesn't seem needed
    anymore, thanks to Sebastien Bacher for noticing

  [ Alper Nebi Yasak ]
  * Include less modules when appropriate. (Closes: #940014)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Jan 2020 08:31:05 +0100

plymouth (0.9.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Andreas Henriksson ]
  * Pass SYSTEMD_ASK_PASSWORD_AGENT=/bin/systemd-tty-ask-password-agent
    to configure for reproducibility on merged-usr vs non-merged.
    (Closes: #915213)

  [ Jonathan Carter ]
  * Non-maintainer upload (co-ordinated with bigon)
  * Set default plymouth theme

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Apr 2019 14:17:05 +0200

plymouth (0.9.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Laurent Bigonville ]
  * New upstream version 0.9.3
    - Add support screen rotation (Closes: #905429)
    - Drop patches merged upstream
    - debian/patches/0005-cmdline.patch: Refreshed
    - debian/libplymouth4.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * Do not explicitly set the compression algorithm, to please lintian
  * debian/rules: Use dh_missing --fail-missing instead of dh_install

 -- Laurent Bigonville <bigon@debian.org>  Thu, 08 Nov 2018 02:03:31 +0100
